Package picard.vcf.processor

## Class VcfFileSegment

- java.lang.Object
- - picard.vcf.processor.VcfFileSegment

-     public abstract class VcfFileSegment
      extends Object

  Describes a segment of a particular VCF file.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VcfFileSegment()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract String` | `contig()` |
    `htsjdk.samtools.util.Interval` | `correspondingInterval()` |
    `abstract int` | `start()` |
    `abstract int` | `stop()` |
    `String` | `toString()` |
    `abstract File` | `vcf()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VcfFileSegment

          public VcfFileSegment()

  - ### Method Detail

    - #### start

          public abstract int start()

    - #### stop

          public abstract int stop()

    - #### contig

          public abstract String contig()

    - #### vcf

          public abstract File vcf()

    - #### correspondingInterval

          public htsjdk.samtools.util.Interval correspondingInterval()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`